<?php
/*
 * Copyright (c) 2014 Optimal Payments
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and
 * associated documentation files (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge, publish, distribute,
 * sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or
 * substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT
 * NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

namespace OptimalPayments\CustomerVault;

/**
 * @property string $id
 * @property string $nickName
 * @property string $street
 * @property string $street2
 * @property string $city
 * @property string $country
 * @property string $state
 * @property string $zip
 * @property string $recipientName
 * @property string $phone
 * @property bool $defaultshippingAddressIndicator
 * @property string $profileID
 * @property \OptimalPayments\Error $error
 * @property \OptimalPayments\Link[] $links
 */
class Address extends \OptimalPayments\JSONObject
{
    protected static $fieldTypes = array(
         'id' => 'string',
         'nickName' => 'string',
         'status' => array(
              'INITIAL',
              'ACTIVE'
         ),
         'street' => 'string',
         'street2' => 'string',
         'city' => 'string',
         'country' => 'string',
         'state' => 'string',
         'zip' => 'string',
         'recipientName' => 'string',
         'phone' => 'string',
         'defaultShippingAddressIndicator' => 'bool',
         'error' => '\OptimalPayments\Error',
         'links' => 'array:\OptimalPayments\Link',
         'profileID' => 'string'
    );

}
